// Roept de inwendige notificationjobsgenerator aan, die controleert of er
// notificaties te doen zijn en deze dan ook realiseert. Deze moet periodiek
// aangeroepen worden. De beheerder kan middels de parameters in fac_notificatie_job
// de periodiciteit etc. van de jobs aanpassen.
//
// $Revision$
// $Id$
//
// Opzet in kader van FSN#1433
// Twee parameters: UDL voor database connectie en CustomerId

var fso = new ActiveXObject("Scripting.FileSystemObject");
function __Log(s)
{
    var flog = fso.OpenTextFile("gennotify.log", 8 /* ForAppending */, true /* create */);
    flog.WriteLine(s);
    flog.Close();
}

var str = WScript.Arguments(0);
var CustId = WScript.Arguments(1);

__Log("Starting " + CustId + " at " + new Date());

var udlstr = 'File Name='+str;
var Oracle = new ActiveXObject("ADODB.Connection");
Oracle.Open(udlstr);

try
{
    sql = "BEGIN fac.initsession(NULL); END;";
    oRs = Oracle.Execute(sql)
    sql = "BEGIN  fac.putnotificationjobs('"+CustId+"'); END;";
    oRs = Oracle.Execute(sql)
}
catch(e)
{
    __Log("ERROR: " + e.description)
    throw e;
}

__Log("Done at " + new Date());
